Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class ServiceRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.ServiceRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefType<T>

    public class ServiceRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefType<T>

This class implements the `service-refType` xsd type

Original Documentation:

Runtime settings for a web service reference. In the simplest case,
there is no runtime information required for a service ref. Runtime info
is only needed in the following cases :
* to define the port that should be used to resolve a container-managed port
* to define default Stub property settings for Stub objects
* to define the URL of a final WSDL document to be used
Example:
OrganizationService
file:/wsdlRepository/organization-service.wsdl
OrganizationService
Secure Client Config
META-INF/jbossws-client-config.xml
META-INF/jbossws-client-handlers.xml
SecureService
org.jboss.tests.ws.jaxws.webserviceref.SecureEndpointService
{http://org.jboss.ws/wsref}SecureEndpointService
org.jboss.tests.ws.jaxws.webserviceref.SecureEndpoint
{http://org.jboss.ws/wsref}SecureEndpointPort
javax.xml.ws.security.auth.username
kermit
javax.xml.ws.security.auth.password
thefrog

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ServiceRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ServiceRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getConfigFile()` Returns the `config-file` element
`java.lang.String` | `getConfigName()` Returns the `config-name` element
`java.lang.String` | `getHandlerChain()` Returns the `handler-chain` element
`java.util.List<PortComponentRefType<ServiceRefType<T>>>` | `getPortComponentRefList()` Returns all `port-component-ref` elements
`java.lang.String` | `getServiceImplClass()` Returns the `service-impl-class` element
`java.lang.String` | `getServiceQname()` Returns the `service-qname` element
`java.lang.String` | `getServiceRefName()` Returns the `service-ref-name` element
`java.lang.String` | `getWsdlOverride()` Returns the `wsdl-override` element
`PortComponentRefType<ServiceRefType<T>>` | `portComponentRef()` Returns the `port-component-ref` element
`ServiceRefType<T>` | `removeAllPortComponentRef()` Removes all `port-component-ref` elements
`ServiceRefType<T>` | `removeConfigFile()` Removes the `config-file` element
`ServiceRefType<T>` | `removeConfigName()` Removes the `config-name` element
`ServiceRefType<T>` | `removeHandlerChain()` Removes the `handler-chain` element
`ServiceRefType<T>` | `removeServiceImplClass()` Removes the `service-impl-class` element
`ServiceRefType<T>` | `removeServiceQname()` Removes the `service-qname` element
`ServiceRefType<T>` | `removeServiceRefName()` Removes the `service-ref-name` element
`ServiceRefType<T>` | `removeWsdlOverride()` Removes the `wsdl-override` element
`ServiceRefType<T>` | `setConfigFile(java.lang.String configFile)` If not already created, a new `config-file` element with the given value will be created.
`ServiceRefType<T>` | `setConfigName(java.lang.String configName)` If not already created, a new `config-name` element with the given value will be created.
`ServiceRefType<T>` | `setHandlerChain(java.lang.String handlerChain)` If not already created, a new `handler-chain` element with the given value will be created.
`ServiceRefType<T>` | `setServiceImplClass(java.lang.String serviceImplClass)` If not already created, a new `service-impl-class` element with the given value will be created.
`ServiceRefType<T>` | `setServiceQname(java.lang.String serviceQname)` If not already created, a new `service-qname` element with the given value will be created.
`ServiceRefType<T>` | `setServiceRefName(java.lang.String serviceRefName)` If not already created, a new `service-ref-name` element with the given value will be created.
`ServiceRefType<T>` | `setWsdlOverride(java.lang.String wsdlOverride)` If not already created, a new `wsdl-override` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefTypeImpl

    public ServiceRefTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

### ServiceRefTypeImpl

    public ServiceRefTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node,
                              org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setServiceRefName

    public ServiceRefType<T> setServiceRefName(java.lang.String serviceRefName)

  If not already created, a new `service-ref-name` element with the given value will be created. Otherwise, the existing `service-ref-name` element will be updated with the given value.

  Specified by:
    `setServiceRefName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeServiceRefName

    public ServiceRefType<T> removeServiceRefName()

  Removes the `service-ref-name` element

  Specified by:
    `removeServiceRefName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getServiceRefName

    public java.lang.String getServiceRefName()

  Returns the `service-ref-name` element

  Specified by:
    `getServiceRefName` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `service-ref-name`

### setServiceImplClass

    public ServiceRefType<T> setServiceImplClass(java.lang.String serviceImplClass)

  If not already created, a new `service-impl-class` element with the given value will be created. Otherwise, the existing `service-impl-class` element will be updated with the given value.

  Specified by:
    `setServiceImplClass` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeServiceImplClass

    public ServiceRefType<T> removeServiceImplClass()

  Removes the `service-impl-class` element

  Specified by:
    `removeServiceImplClass` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getServiceImplClass

    public java.lang.String getServiceImplClass()

  Returns the `service-impl-class` element

  Specified by:
    `getServiceImplClass` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `service-impl-class`

### setServiceQname

    public ServiceRefType<T> setServiceQname(java.lang.String serviceQname)

  If not already created, a new `service-qname` element with the given value will be created. Otherwise, the existing `service-qname` element will be updated with the given value.

  Specified by:
    `setServiceQname` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeServiceQname

    public ServiceRefType<T> removeServiceQname()

  Removes the `service-qname` element

  Specified by:
    `removeServiceQname` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getServiceQname

    public java.lang.String getServiceQname()

  Returns the `service-qname` element

  Specified by:
    `getServiceQname` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `service-qname`

### setConfigName

    public ServiceRefType<T> setConfigName(java.lang.String configName)

  If not already created, a new `config-name` element with the given value will be created. Otherwise, the existing `config-name` element will be updated with the given value.

  Specified by:
    `setConfigName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeConfigName

    public ServiceRefType<T> removeConfigName()

  Removes the `config-name` element

  Specified by:
    `removeConfigName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getConfigName

    public java.lang.String getConfigName()

  Returns the `config-name` element

  Specified by:
    `getConfigName` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `config-name`

### setConfigFile

    public ServiceRefType<T> setConfigFile(java.lang.String configFile)

  If not already created, a new `config-file` element with the given value will be created. Otherwise, the existing `config-file` element will be updated with the given value.

  Specified by:
    `setConfigFile` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeConfigFile

    public ServiceRefType<T> removeConfigFile()

  Removes the `config-file` element

  Specified by:
    `removeConfigFile` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getConfigFile

    public java.lang.String getConfigFile()

  Returns the `config-file` element

  Specified by:
    `getConfigFile` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `config-file`

### setHandlerChain

    public ServiceRefType<T> setHandlerChain(java.lang.String handlerChain)

  If not already created, a new `handler-chain` element with the given value will be created. Otherwise, the existing `handler-chain` element will be updated with the given value.

  Specified by:
    `setHandlerChain` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeHandlerChain

    public ServiceRefType<T> removeHandlerChain()

  Removes the `handler-chain` element

  Specified by:
    `removeHandlerChain` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getHandlerChain

    public java.lang.String getHandlerChain()

  Returns the `handler-chain` element

  Specified by:
    `getHandlerChain` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `handler-chain`

### removeAllPortComponentRef

    public ServiceRefType<T> removeAllPortComponentRef()

  Removes all `port-component-ref` elements

  Specified by:
    `removeAllPortComponentRef` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### portComponentRef

    public PortComponentRefType<ServiceRefType<T>> portComponentRef()

  Returns the `port-component-ref` element

  Specified by:
    `portComponentRef` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `port-component-ref`

### getPortComponentRefList

    public java.util.List<PortComponentRefType<ServiceRefType<T>>> getPortComponentRefList()

  Returns all `port-component-ref` elements

  Specified by:
    `getPortComponentRefList` in interface `ServiceRefType<T>`
  Returns:
    list of `port-component-ref`

### setWsdlOverride

    public ServiceRefType<T> setWsdlOverride(java.lang.String wsdlOverride)

  If not already created, a new `wsdl-override` element with the given value will be created. Otherwise, the existing `wsdl-override` element will be updated with the given value.

  Specified by:
    `setWsdlOverride` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeWsdlOverride

    public ServiceRefType<T> removeWsdlOverride()

  Removes the `wsdl-override` element

  Specified by:
    `removeWsdlOverride` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getWsdlOverride

    public java.lang.String getWsdlOverride()

  Returns the `wsdl-override` element

  Specified by:
    `getWsdlOverride` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `wsdl-override`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD